[Task] Don't use 'enwiki' as site id for test2wiki and testwiki
Closed, ResolvedPublic

Description

We should make sure that we can add test2wiki and testwiki as site links on test.wikidata and then switch the site global id for test2 and testwiki to be themselves, instead of 'enwiki'.

this would allow the dispatcher to work properly. right now, the dispatcher will incorrectly or not regard changes as relevant for the testwikis.

aude created this task.Mar 30 2015, 3:08 PM
aude updated the task description. (Show Details)
aude raised the priority of this task from to Needs Triage.
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 3:08 PM
Lydia_Pintscher triaged this task as Normal priority.Mar 31 2015, 10:25 AM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: hoo.

Change 208655 had a related patch set uploaded (by Aude):
Update Wikibase site id and group for test2wiki and testwiki

https://gerrit.wikimedia.org/r/208655

aude renamed this task from Don't use 'enwiki' as site id for test2wiki and testwiki to [Task] Don't use 'enwiki' as site id for test2wiki and testwiki.Aug 13 2015, 9:13 PM

think this needs an announcement on the wikidata mailing lists and project chat, then we should deploy the change.

hoo claimed this task.Apr 6 2017, 9:03 AM

This will be deployed between 14:00–16:00 UTC today (April 6).

Change 208655 merged by jenkins-bot:
[operations/mediawiki-config@master] Update Wikibase site id and group for test2wiki and testwiki

https://gerrit.wikimedia.org/r/208655

Mentioned in SAL (#wikimedia-operations) [2017-04-06T14:12:37Z] <hoo@tin> Synchronized wmf-config/Wikibase.php: Add testwiki and test2wiki to "specialSiteLinkGroups" on testwikidata (T94416) (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-04-06T14:46:41Z] <hoo@tin> Synchronized wmf-config/: Don't use "enwiki" as Wikibase site id on testwiki and test2wiki (T94416) (duration: 01m 08s)

hoo closed this task as Resolved.Apr 6 2017, 3:52 PM
hoo removed a project: Patch-For-Review.